summaryrefslogtreecommitdiff
path: root/net-voip
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-voip
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-voip')
-rw-r--r--net-voip/sflphone/sflphone-9999.ebuild55
1 files changed, 55 insertions, 0 deletions
diff --git a/net-voip/sflphone/sflphone-9999.ebuild b/net-voip/sflphone/sflphone-9999.ebuild
new file mode 100644
index 0000000..74e54f1
--- /dev/null
+++ b/net-voip/sflphone/sflphone-9999.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=1
+inherit qt3 git autotools
+
+DESCRIPTION="SFLphone aims to become your desktop's VoIP companion."
+HOMEPAGE="http://www.sflphone.org/"
+SRC_URI=""
+LICENSE="GPL-2"
+SLOT="0"
+
+EGIT_REPO_URI="http://sflphone.org/git/sflphone.git"
+
+KEYWORDS="~x86 ~ppc ~amd64"
+IUSE="qt3 speex zeroconf"
+
+DEPEND=">=net-libs/libosip-2.2.2
+ >=net-libs/libeXosip-1.9.0
+ >=dev-cpp/commoncpp2-1.3.21
+ >=net-libs/ccrtp-1.3.5
+ >=media-libs/portaudio-19_pre
+ >=media-libs/libsamplerate-0.1.1
+ net-libs/pjsip
+ media-sound/pulseaudio
+ qt3? ( >=x11-libs/qt-3.3:3 )
+ speex? ( media-libs/speex )
+ zeroconf? ( net-misc/mDNSResponder )"
+
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+# unpack ${A}
+ git_src_unpack
+ cd "${S}"
+ eautoreconf
+ # fix compile error on genstef's box..doesn't seem to break anything
+# sed -i -e "s/Qt::Key_Mode_switch/0x0100117e/" src/gui/qt/SFLPhoneWindow.cpp
+}
+src_compile () {
+ econf \
+ $(use_enable qt3 sflphoneqt) \
+ $(use_enable speex) \
+ $(use_enable zeroconf) \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dodoc README
+}